Panda3D

Loading...
Searching...
No Matches
Functions
direct.dist.pfreeze Namespace Reference

## Functions
| main (args=None)
| usage (code, msg='')

## Detailed Description

    This script can be used to produce a standalone executable from
    arbitrary Python code.  You supply the name of the starting Python
    file to import, and this script attempts to generate an executable
    that will produce the same results as "python startfile.py".

    This script is actually a wrapper around Panda's FreezeTool.py, which
    is itself a tool to use Python's built-in "freeze" utility to compile
    Python code into a standalone executable.  It also uses Python's
    built-in modulefinder module, which it uses to find all of the modules
    imported directly or indirectly by the original startfile.py.

    Usage::

      pfreeze.py [opts] [startfile]

    Options::

      -o output
         Specifies the name of the resulting executable file to produce.
         If this ends in ".mf", a multifile is written instead of a frozen
         binary.  If it ends in ".dll", ".pyd", or ".so", a shared library
         is written.

      -x module[,module...]
         Specifies a comma-separated list of Python modules to exclude from
         the resulting file, even if they appear to be referenced.  You
         may also repeat the -x command for each module.

      -i module[,module...]
         Specifies a comma-separated list of Python modules to include in
         the resulting file, even if they do not appear to be referenced.
         You may also repeat the -i command for each module.

      -p module[,module...]
         Specifies a list of Python modules that do run-time manipulation
         of the __path__ variable, and thus must be actually imported to
         determine the true value of __path__.

      -P path
         Specifies an additional directory in which we should search for
         Python modules.  This is equivalent to setting the PYTHONPATH
         environment variable.  May be repeated.

      -s
         Adds the standard set of modules that are necessary for embedding
         the Python interpreter.  Implicitly set if an executable is
         generated.

      -k
         Keeps temporary files generated by pfreeze.  Useful when debugging
         FreezeTool itself.

## Function Documentation

## ◆ main()

main | ( |  | args = None | ) |

## ◆ usage()

usage | ( |  | code,
|  |  | msg = '' )